SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002478: usb umts modem doesn't work anymore - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002478Endian FirewallNetwork related (VPN, uplinks)public2009-12-02 11:172010-11-22 12:06
Reporterluca-endian 
Assigned Tosimon-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target Version2.3.1Fixed in Version2.3.1 
Summary0002478: usb umts modem doesn't work anymore
DescriptionSame gui configuration same modem Vodafone Huawei E220 (see the screenshots)

2.2 works correctly

2.3 doesn't work

Logs while activating:

**/var/log/uplinks**
Starting Uplink 'uplink2'
Notify uplinks daemon about status change of uplink 'uplink2'. Status id FAILED
Notify uplinks daemon: [ OK ]
Uplink 'uplink2' status: 'OFFLINE'
ERROR: Could not write peer file

**/var/log/messages**
Dec 2 11:54:26 kenny sudo: nobody : TTY=unknown ; PWD=/home/httpd/cgi-bin ; USER=root ; COMMAND=/etc/rc.d/uplinks start uplink2 --with-hooks
Dec 2 11:54:27 kenny uplink[uplink2]: Starting Uplink 'uplink2'
Dec 2 11:54:27 kenny uplink[uplink2]: Notify uplinks daemon about status change of uplink 'uplink2'. Status id FAILED
Dec 2 11:54:28 kenny uplink[uplink2]: Uplink 'uplink2' status: 'OFFLINE'
Dec 2 11:54:28 kenny uplink[uplink2]: Could not write peer file
Additional InformationThere are differences between the two settings files:

luca@blackmac:~$ diff cartman-2.2 kenny-2.3
2,3c2,3
< GATEWAY=
< DEFAULT_GATEWAY=
---
> PASSWORD=
> APN=ibox.tim.it
6,8c6,8
< RED_DEV=eth1
< PROTOCOL=RFC2364
< SPEED=460800
---
> RED_DEV=
> DOWNLOAD=
> ENABLED=on
10,24d9
< ISDN_TYPE=fcpci
< DNS1=
< ADSL_TYPE=conexantusbadsl
< VCI=
< CIDR=
< DNS=Automatic
< TELEPHONE=
< ENCAP=0
< AUTH=pap-or-chap
< METHOD=STATIC
< MODEMTYPE=hsdpa
< APN=ibox.tim.it
< PASSWORD=
< CONCENTRATORNAME=
< MSN=
26,30c11,13
< ENABLED=on
< color=
< PHONENUMBER=
< RECONNECT_TIMEOUT=
< COMPORT=/dev/ttyUSB0
---
> SHAPING=
> LINKCHECK=
> DNS1=
33,35c16,19
< VPI=
< CHECKHOSTS=80.190.199.138,64.233.183.99,pool.ntp.org,www.google.com,www.yahoo.com,www.sf.net
< MAC=
---
> CHECKHOSTS=
> CIDR=
> TELEPHONE=
> DNS=Automatic
38,42c22,24
< MTU=
< SERVICENAME=
< MANAGED=on
< ONBOOT=on
<
---
> UPLOAD=
> MANAGED=off
> ONBOOT=on
\ No newline at end of file
TagsNo tags attached.
Attached Filespng file icon conf-OK-2.2.png [^] (42,301 bytes) 2009-12-02 11:17


png file icon conf-KO-2.3.png [^] (43,990 bytes) 2009-12-02 11:18

- Relationships

-  Notes
(0003493)
luca-endian (developer)
2009-12-02 11:31

Uplink editor doesn't store the date in the settings file..

The settings file copied from the 2.2 on the 2.3 made the umts connection works.
(0003495)
luca-endian (developer)
2009-12-02 11:51
edited on: 2009-12-02 11:52

Sorted files:

luca@blackmac:~$ diff -u cartman-2.2 kenny-2.3
--- cartman-2.2 2009-12-02 12:51:06.000000000 +0100
+++ kenny-2.3 2009-12-02 12:51:22.000000000 +0100
@@ -1,41 +1,24 @@
-ADSL_TYPE=conexantusbadsl
 APN=ibox.tim.it
-AUTH=pap-or-chap
 AUTOSTART=on
 BACKUPPROFILE=
-CHECKHOSTS=80.190.199.138,64.233.183.99,pool.ntp.org,www.google.com,www.yahoo.com,www.sf.net
+CHECKHOSTS=
 CIDR=
-color=
-COMPORT=/dev/ttyUSB0
-CONCENTRATORNAME=
-DEFAULT_GATEWAY=
 DNS1=
 DNS2=
 DNS=Automatic
+DOWNLOAD=
 ENABLED=on
-ENCAP=0
-GATEWAY=
-ISDN_TYPE=fcpci
-MAC=
-MANAGED=on
-METHOD=STATIC
-MODEMTYPE=hsdpa
-MSN=
-MTU=
+LINKCHECK=
+MANAGED=off
 NAME='Uplink ANALOG/UMTS modem'
 ONBOOT=on
 PASSWORD=
-PHONENUMBER=
-PROTOCOL=RFC2364
-RECONNECT_TIMEOUT=
 RED_ADDRESS=
-RED_DEV=eth1
+RED_DEV=
 RED_IPS=
 RED_NETMASK=
 RED_TYPE=ANALOG
-SERVICENAME=
-SPEED=460800
+SHAPING=
 TELEPHONE=
+UPLOAD=
 USERNAME=
-VCI=
-VPI=


- Issue History
Date Modified Username Field Change
2009-12-02 11:17 luca-endian New Issue
2009-12-02 11:17 luca-endian File Added: conf-OK-2.2.png
2009-12-02 11:18 luca-endian File Added: conf-KO-2.3.png
2009-12-02 11:31 luca-endian Note Added: 0003493
2009-12-02 11:41 luca-endian Description Updated
2009-12-02 11:41 luca-endian Additional Information Updated
2009-12-02 11:46 luca-endian Note Added: 0003494
2009-12-02 11:51 luca-endian Note Added: 0003495
2009-12-02 11:51 luca-endian Note Deleted: 0003494
2009-12-02 11:52 luca-endian Note Edited: 0003495
2009-12-02 14:43 christian-endian Assigned To => simon-endian
2009-12-02 14:43 christian-endian Status new => assigned
2009-12-02 14:45 christian-endian Target Version => 2.3.1
2010-02-15 17:40 simon-endian Status assigned => resolved
2010-02-15 17:40 simon-endian Fixed in Version => 2.3.1
2010-02-15 17:40 simon-endian Resolution open => fixed
2010-11-22 12:06 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker